<?php

$items = $block->getProductCollection()->setPageSize(5)
    ->setCurPage(1)->getItems();
$objectManager =  \Magento\Framework\App\ObjectManager::getInstance();
 
$storeManager = $objectManager->get('\Magento\Store\Model\StoreManagerInterface');
 
$websiteId = $storeManager->getStore()->getWebsiteId();
$addToCart = 'Buy Now';
$preOrder = false;
?>
<?php $i=0; foreach ($items as $_product): $i++; 
$sku = $_product->getSku();
if(($sku == 'MSPB5K' || $sku == 'MSPB5KWH') && $websiteId == 1){
  $addToCart = 'Buy Now';  
}elseif(($sku == 'MSPB5K' || $sku == 'MSPB5KWH') && $websiteId != 1){
  $addToCart = 'Pre Order';  
  $preOrder = true;
}
?>
                <div class="matrix-cta-mobile sku-<?php echo $_product->getSku(); ?>">
                     <?php if ($_product->isSaleable()){ ?>
                            <div>
                              <?php $postParams = $block->getAddToCartPostParams($_product);?>
                              <form data-role="tocart-form" action="<?php /* @escapeNotVerified */echo $this->getUrl('checkout/cart/add', ['uenc' => $postParams['data']['uenc'], 'product' => $postParams['data']['product']]); ?>" method="post">
                                <input type="hidden" name="product" value="<?php /* @escapeNotVerified */echo $postParams['data']['product']; ?>">
                                <input type="hidden" name="uenc" value="<?php /* @escapeNotVerified */echo $postParams['data']['uenc']; ?>">
                                <input name="form_key" type="hidden" value="<?php echo $this->getFormKey() ?>" />
                                <button class="btn-wrapper-btn btn btn-primary" type="submit" title="<?php /* @escapeNotVerified */echo $addToCart; ?>">

                                  <span class="text"><?php /* @escapeNotVerified */echo $addToCart; ?></span>
                                </button>
                              </form>
                              
                            </div>
                          <?php }else{ ?>
                            <div class="notify-box">
                              <?php
                              $blockStockNofity = $this->getLayout()
                              ->createBlock(
                              "Alogic\Customtheme\Block\ProductAlert",
                              "list.page.stocknotify.".$_product->getId(),
                                  [
                                      'data' => [
                                      'prouctinfo' => $_product
                                      ]
                                  ]
                              )->setData('area', 'frontend');
                              ?>
                              <?= /* @escapeNotVerified */ $blockStockNofity->setHtmlClass('notify-box-stock')
                              ->setSignupLabel(__('Notify me when this product is in stock'))
                              ->setTemplate('Magento_ProductAlert::product/view.phtml')
                              ->toHtml();?>
                            </div>
                          <?php }?>
                          <span> 
                </div>
               
              

 <?php endforeach ?>
